Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Syllable

    java.lang.Object
      org.kemet.impl.grammar.model.Syllable

All Implemented Interfaces:
  IGlobals

    public class Syllable

extends java.lang.Object
implements IGlobals

Since:
  0.1
Author:
  fabricemaupin

  BEAN : the syllable of a transliteration.

Field Summary

Fields inherited from interface org.kemet.impl.grammar.IGlobals
`ALL, ANALYSE_FROM_SIGNS, BILITERAL, CONSONAT, exceptionnalVo, grammarMainClassName, MAX_PART_OF_NOUN, MAX_PART_OF_PREPOSITION, MAX_PART_OF_PRONOUNS, methodNameToManageHieroglyphs, methodNameToManageTransliteration, methodNameToPhoneticRead, methodNameToPhoneticReadWithGlobalApproach, minVersionJRE, NUMBER_OF_TYPE_OF_PHONOGRAMS, PROPOSITION_TYPE_PPA, selectedGrammar, SEMI_CONSONAT, TO_FORMAT, TO_HIEROGLYPHS, TO_READ, TO_TRANSLITERATION, TO_TYPE, TRILITERAL, UNILITERAL, vo`

Constructor Summary
`Syllable(java.lang.String word)` instantiate the object.

Method Summary
`java.util.Vector` | `getVowelsToInsert()` get all the vowels to insert into the transliteration.
`java.lang.String` | `insertVowels(java.util.Vector v)` insert at position all the vowels to a word.
`boolean` | `isContainsVowels(java.lang.String syllable)` syllable contains a vowel ?

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Syllable

    public Syllable(java.lang.String word)

  instantiate the object.

  Parameters:
    `word` - word to analyze
  Since:
    0.1

Method Detail

### isContainsVowels

    public boolean isContainsVowels(java.lang.String syllable)

  syllable contains a vowel ?

  Parameters:
    `syllable` - syllable to analyze
  Returns:
    true / false
  Since:
    0.1

### getVowelsToInsert

    public java.util.Vector getVowelsToInsert()

  get all the vowels to insert into the transliteration.

  Returns:
    vowelsList (position and value)
  Since:
    0.1

### insertVowels

    public java.lang.String insertVowels(java.util.Vector v)

  insert at position all the vowels to a word.

  Parameters:
    `v` - vowelsList (position and value)
  Returns:
    complete word with vowels
  Since:
    0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.